<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateFullPaths>true</GenerateFullPaths>    
    <Version>8.0.28</Version>
    <FileVersion>8.0.28.0</FileVersion>
    <ApplicationIcon>sockeye.ico</ApplicationIcon>
    <DocumentationFile>bin\$(Configuration)\$(TargetFramework)\$(AssemblyName).xml</DocumentationFile>
    <noWarn>1591</noWarn>
    <Deterministic>False</Deterministic>
  </PropertyGroup>

<!-- https://andrewlock.net/version-vs-versionsuffix-vs-packageversion-what-do-they-all-mean/  -->
  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>
 
  <ItemGroup>   
    <PackageReference Include="Bogus" Version="34.0.2" />
    <PackageReference Include="BouncyCastle.NetCore" Version="1.9.0" />
    <PackageReference Include="Enums.NET" Version="4.0.0" />    
    <PackageReference Include="jose-jwt" Version="4.0.0" />    
    <PackageReference Include="MailKit" Version="3.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.5" />  
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.4" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.5" />
    <PackageReference Include="Microsoft.Extensions.ApiDescription.Server" Version="6.0.5">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore" Version="6.0.5" />
    <PackageReference Include="Microsoft.OpenApi" Version="1.3.1" />
    <PackageReference Include="MiniProfiler.AspNetCore.Mvc" Version="4.2.22" />
    <PackageReference Include="MiniProfiler.EntityFrameworkCore" Version="4.2.22" />
    <PackageReference Include="NLog" Version="5.0.0" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="5.0.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="6.0.4" />
    <PackageReference Include="PuppeteerSharp" Version="7.0.0" />
    <PackageReference Include="QRCoder" Version="1.4.3" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.3.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.3.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.3.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.3.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUi" Version="6.3.1" />
    <PackageReference Include="TwoFactorAuth.Net" Version="1.4.0" />
  </ItemGroup>

  <ItemGroup>
    <Content Include=".\resource\*.*">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>  
  </ItemGroup>

  <ItemGroup>
    <Content Include=".\resource\rpt\*.*">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>  
  </ItemGroup>

  <ItemGroup>
    <Content Include=".\resource\rpt\stock-report-templates\*.*">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>  
  </ItemGroup>
   


</Project>